Subject: bug#51658: [PATCH] Haiku port (again)

From: Po Lu <[email-masked]>
Date: Sat, 20 Nov 2021 21:33:29 +0800

Eli Zaretskii <[email-masked]> writes:

>> Is that limitation important enough to mention?  It is not something
>> that is likely to happen at all.

> maybe I don't understand something: tooltips for menu items are
> routinely shown in Emacs, so how come you say it is unlikely to
> happen?

Basically, tooltips for menu bar items get shown in the echo area
instead, because it's impossible to display tooltips above the menu bar.

For ordinary popup menus, I implemented a hack that allows to display
tooltips correctly.

Thanks.